#include <bits/stdc++.h>
#define en '\n'
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    char c1,c2; cin >> c1 >> c2;
    int a1,a2; cin >> a1 >> a2;

    if(a1<a2)
    {
        swap(a1,a2);
        swap(c1,c2);
    }
    /// a1 >= a2
    if(a1 - a2 > 1)
    {
        cout << "nemoguce" << en;
    }
    else{
        for(int i = 0; i < a1 + a2; i++)
        {
            if(i%2 == 0) cout << c1;
            else cout << c2;
        }
        cout << en;
    }

}